cordova.define("com.sf.cordova.storage.SFStorage", function(require, exports, module) { var exec = require('cordova/exec');
               
function SFStorage() {
}

SFStorage.prototype.get = function (key, successCallback, errorCallback) {
	if (errorCallback == null) { errorCallback = function() {}}

    if (errorCallback && typeof errorCallback != "function")  {
        console.log("SFStorage.get failure: error callback parameter must be a function");
        return
    }

    if (successCallback && typeof successCallback != "function") {
        console.log("SFStorage.get failure: success callback parameter must be a function");
        return
    }

    if (!key) {
    	console.log("SFStorage.get failure: key parameter must be a string and can not empty");
    	return;
    };

    exec(successCallback, errorCallback, "SFStorage", "get", [key]);
};

SFStorage.prototype.set = function (key, value, successCallback, errorCallback) {
	if (errorCallback == null) { errorCallback = function() {}}

    if (errorCallback && typeof errorCallback != "function")  {
        console.log("SFStorage.get failure: error callback parameter must be a function");
        return
    }

    if (successCallback && typeof successCallback != "function") {
        console.log("SFStorage.get failure: success callback parameter must be a function");
        return
    }

    if (!key) {
    	console.log("SFStorage.get failure: key parameter must be a string and can not empty");
    	return;
    };

    if (!value) {
    	console.log("SFStorage.get failure: value parameter must be a string and can not empty");
    	return;
    };

    exec(successCallback, errorCallback, "SFStorage", "set", [key, value]);
};

SFStorage.prototype.remove = function (key, successCallback, errorCallback) {
	if (errorCallback == null) { errorCallback = function() {}}

    if (errorCallback && typeof errorCallback != "function")  {
        console.log("SFStorage.get failure: error callback parameter must be a function");
        return
    }

    if (successCallback && typeof successCallback != "function") {
        console.log("SFStorage.get failure: success callback parameter must be a function");
        return
    }

    if (!key) {
    	console.log("SFStorage.get failure: key parameter must be a string and can not empty");
    	return;
    };

    exec(successCallback, errorCallback, "SFStorage", "remove", [key]);
};

SFStorage.prototype.clear = function (successCallback, errorCallback) {
	if (errorCallback == null) { errorCallback = function() {}}

    if (errorCallback && typeof errorCallback != "function")  {
        console.log("SFStorage.get failure: error callback parameter must be a function");
        return
    }

    if (successCallback && typeof successCallback != "function") {
        console.log("SFStorage.get failure: success callback parameter must be a function");
        return
    }

    exec(successCallback, errorCallback, "SFStorage", "clear", []);
};

module.exports = new SFStorage();

});
